## mx4j.tools.connector.rmi
Class RemoteNotificationFilterSupport

    java.lang.Object
      mx4j.tools.connector.rmi.RemoteNotificationFilterSupport

All Implemented Interfaces:
  javax.management.NotificationFilter, java.rmi.Remote, java.io.Serializable

Direct Known Subclasses:
  IIOPRemoteNotificationFilterSupport, JRMPRemoteNotificationFilterSupport

public abstract class RemoteNotificationFilterSupport
extends java.lang.Object
implements javax.management.NotificationFilter, java.rmi.Remote

This class is serialized from client to the server, and forwards calls to remote filter.

It shadows the fact that the listener is an RMI remote object. It implements java.rmi.Remote as a tagging interface, to avoid dependencies of the specification 1.0 implementation from mx4j classes

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`RemoteNotificationFilterSupport(javax.management.NotificationFilter clientFilter)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`protected abstract void` `export()`
`protected mx4j.tools.connector.rmi.RemoteNotificationFilter` `getRemoteNotificationFilter()`
`int` `hashCode()`
`boolean` `isNotificationEnabled(javax.management.Notification notification)`
`protected abstract void` `unexport()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteNotificationFilterSupport

    public RemoteNotificationFilterSupport(javax.management.NotificationFilter clientFilter)

Method Detail

### export

    protected abstract void export()
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### unexport

    protected abstract void unexport()
                              throws java.rmi.NoSuchObjectException

  Throws:
    `java.rmi.NoSuchObjectException`

### getRemoteNotificationFilter

    protected mx4j.tools.connector.rmi.RemoteNotificationFilter getRemoteNotificationFilter()

### isNotificationEnabled

    public boolean isNotificationEnabled(javax.management.Notification notification)

  Specified by:
    `isNotificationEnabled` in interface `javax.management.NotificationFilter`

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

Copyright © 2001-2003 MX4J Team. All Rights Reserved.